import React, { FC, memo } from 'react';
import { Image } from '@chakra-ui/react';
import { useNavigate } from 'react-router-dom';

import { paths } from 'src/constants';

import emblem from 'src/images/emblem.png';

const Emblem: FC = () => {
    const navigate = useNavigate();

    return (
        <Image
            onClick={() => navigate(paths.BASE)}
            _hover={{ transform: 'scale(1.02)', cursor: 'pointer' }}
            src={emblem}
            padding="0.5"
        />
    );
};

export default memo(Emblem);
