import React, { FC, memo, ReactNode } from 'react';
import { Flex } from '@chakra-ui/react';

import { Drawer } from 'src/components';

interface IPage {
    children: ReactNode;
}

const Page: FC<IPage> = ({ children }) => {
    return (
        <Flex height="100%">
            <Drawer />
            <Flex
                width="70%"
                marginInline="20px"
                marginBlock="40px"
                flexDirection="column"
                flexWrap="wrap"
            >
                {children}
            </Flex>
        </Flex>
    );
};

export default memo(Page);
