import * as Yup from 'yup';
import moment from 'moment';

const today = moment().format('YYYY-MM-DD');

export default Yup.object().shape({
    position: Yup.string().required('Enter position').max(3, 'Abbreviation only'),
    leg: Yup.string()
        .required('Enter leg')
        .max(1, 'Max length is 1 characters')
        .oneOf(['L', 'R', 'B'], 'L, R or B'),
    date_of_birth: Yup.date().required('Enter date of birth').max(today, 'Max date is today'),
    games: Yup.string().required('Enter games').max(20, 'Max length is 20 characters'),
    image: Yup.mixed().notRequired(),
});
