/* eslint-disable no-nested-ternary */
import React, { FC, memo } from 'react';
import { Navigate } from 'react-router-dom';

import { Page } from 'src/components';

import { paths } from 'src/constants';

interface IProtectedRoute {
    element: React.ElementType;
}

const ProtectedRoute: FC<IProtectedRoute> = ({ element: Component }: IProtectedRoute) => {
    const isAuthenticated = !!localStorage.getItem('accessToken');

    return isAuthenticated ? (
        <Page>
            <Component />
        </Page>
    ) : (
        <Navigate to={paths.LOGIN} />
    );
};

export default memo(ProtectedRoute);
