import React, { FC, memo } from 'react';
import { Navigate } from 'react-router-dom';

import { paths } from 'src/constants';

interface IUnprotectedRoute {
    element: React.ElementType;
}

const UnprotectedRoute: FC<IUnprotectedRoute> = ({ element: Component }: IUnprotectedRoute) => {
    const isAuthenticated = !!localStorage.getItem('accessToken');

    return isAuthenticated ? <Navigate to={paths.PLAYERS} /> : <Component />;
};

export default memo(UnprotectedRoute);
