import { GeneralData } from './generalMedicalOverview';
import { AnamnesisData } from './medicalAnamnesis';
import { MedicineData } from './medicine';
import { VaccinationData } from './vaccination';

export interface PlayerData {
    id?: number;
    name?: string;
    position?: string;
    leg?: string;
    date_of_birth?: Date;
    games?: number;
    image?: string;
    general_medical_overview: Array<GeneralData>;
    medical_anamnesis: Array<AnamnesisData>;
    medicine: Array<MedicineData>;
    vaccination: Array<VaccinationData>;
}

export interface PlayerState {
    data: PlayerData;
    hasLoaded: boolean;
    isSubmitting: boolean;
}

export interface PlayerPayload {
    data: PlayerData;
}
