const MEDICAL_API = '/medical/api';
const BASE_URL = '/medical';

export default {
    BASE: `${BASE_URL}/`,
    PLAYERS: `${BASE_URL}/players/`,
    PLAYER_DETAILS: `${BASE_URL}/players/:id/`,
    LOGIN: `${BASE_URL}/login/`,
    STATISTICS: `${BASE_URL}/statistics/`,

    API: {
        LOGIN: '/auth/get-token/',
        HEALTH: '/auth/health/',
        GENERAL_OVERVIEWS: `${MEDICAL_API}/general/`,
        GENERAL_OVERVIEW: `${MEDICAL_API}/general/:id/`,
        ANAMNESES: `${MEDICAL_API}/anamnesis/`,
        ANAMNESIS: `${MEDICAL_API}/anamnesis/:id/`,
        MEDICINES: `${MEDICAL_API}/medicine/`,
        MEDICINE: `${MEDICAL_API}/medicine/:id/`,
        VACCINATION: `${MEDICAL_API}/vaccination/`,
        VACCINE: `${MEDICAL_API}/vaccination/:id/`,
        PLAYERS: `${MEDICAL_API}/players/`,
        PLAYER_DETAILS: `${MEDICAL_API}/players/:id/`,
    },

    build: (path: string, ...params: Array<any>) => {
        params.reverse();
        return path.replace(/(:\w+)/g, () => params.pop());
    },
};
