import { createStandaloneToast, extendTheme } from '@chakra-ui/react';
import { isRejectedWithValue, Middleware } from '@reduxjs/toolkit';

import { theme } from 'src/style';

export const responseHandler: Middleware = () => (next) => (action) => {
    if (isRejectedWithValue(action)) {
        const toast = createStandaloneToast({ theme: extendTheme(theme) });
        toast({
            title: action.payload,
            status: 'error',
            position: 'bottom-left',
            duration: 2000,
            isClosable: true,
        });
    }

    return next(action);
};
