import { createAsyncThunk } from '@reduxjs/toolkit';

import config from 'src/config';
import { paths } from 'src/constants';

import { AuthData } from 'src/constants/interfaces/auth';

const health = createAsyncThunk('health', async () => config.axios.post(paths.API.HEALTH));

const login = createAsyncThunk('login', async (data: AuthData) =>
    config.axios.post(paths.API.LOGIN, data),
);

const logout = createAsyncThunk('logout', async () => {
    window.location.href = '/';
    localStorage.clear();
});

export default { health, login, logout };
