import { createAsyncThunk } from '@reduxjs/toolkit';

import config from 'src/config';
import { paths } from 'src/constants';
import { GeneralData } from 'src/constants/interfaces/generalMedicalOverview';

const getGeneralOverview = createAsyncThunk('getGeneralOverview', async (id: string) =>
    config.axios.get(paths.API.GENERAL_OVERVIEWS, { params: { id } }),
);

const addGeneralOverview = createAsyncThunk('addGeneralOverview', async (data: GeneralData) =>
    config.axios.post(paths.API.GENERAL_OVERVIEWS, data),
);

const deleteGeneralOverview = createAsyncThunk('deleteGeneralOverview', async (data: GeneralData) =>
    config.axios.delete(paths.build(paths.API.GENERAL_OVERVIEW, data.id)),
);

export default { getGeneralOverview, addGeneralOverview, deleteGeneralOverview };
