import { createAsyncThunk } from '@reduxjs/toolkit';

import config from 'src/config';
import { paths } from 'src/constants';
import { AnamnesisData } from 'src/constants/interfaces/medicalAnamnesis';

const getMedicalAnamnesis = createAsyncThunk('getMedicalAnamnesis', async (id: string) =>
    config.axios.get(paths.API.ANAMNESES, { params: { id } }),
);

const addMedicalAnamnesis = createAsyncThunk('addMedicalAnamnesis', async (data: AnamnesisData) =>
    config.axios.post(paths.API.ANAMNESES, data),
);

const deleteMedicalAnamnesis = createAsyncThunk(
    'deleteMedicalAnamnesis',
    async (data: AnamnesisData) => config.axios.delete(paths.build(paths.API.ANAMNESIS, data.id)),
);

export default { getMedicalAnamnesis, addMedicalAnamnesis, deleteMedicalAnamnesis };
