import { createAsyncThunk } from '@reduxjs/toolkit';

import config from 'src/config';
import { paths } from 'src/constants';
import { MedicineData } from 'src/constants/interfaces/medicine';

const headers = {
    'Content-Type': 'multipart/form-data',
};

const getMedicine = createAsyncThunk('getMedicine', async (id: string) =>
    config.axios.get(paths.API.MEDICINES, { params: { id } }),
);

const addMedicine = createAsyncThunk('addMedicine', async (data: MedicineData) =>
    config.axios.post(paths.API.MEDICINES, data, { headers }),
);

const deleteMedicine = createAsyncThunk('deleteMedicine', async (data: MedicineData) =>
    config.axios.delete(paths.build(paths.API.MEDICINE, data.id)),
);

export default { getMedicine, addMedicine, deleteMedicine };
