import { createAsyncThunk } from '@reduxjs/toolkit';

import config from 'src/config';
import { paths } from 'src/constants';

import { VaccinationData } from 'src/constants/interfaces/vaccination';

const getVaccines = createAsyncThunk('getVaccines', async (id: string) =>
    config.axios.get(paths.API.VACCINATION, { params: { id } }),
);

const addVaccine = createAsyncThunk('addVaccine', async (data: VaccinationData) =>
    config.axios.post(paths.API.VACCINATION, data),
);

const deleteVaccine = createAsyncThunk('deleteVaccine', async (data: VaccinationData) =>
    config.axios.delete(paths.build(paths.API.VACCINE, data.id)),
);

export default { getVaccines, addVaccine, deleteVaccine };
