import { createSelector } from '@reduxjs/toolkit';

import { AuthState } from 'src/constants/interfaces/auth';

const selectAuthUser = createSelector(
    (state: { auth: AuthState }) => state.auth.data || {},
    (data) => data,
);

const selectIsSubmitting = createSelector(
    (state: { auth: AuthState }) => state.auth.isSubmitting,
    (data) => data,
);

export default {
    selectAuthUser,
    selectIsSubmitting,
};
