import { createSelector } from '@reduxjs/toolkit';

import { PlayersState } from 'src/constants/interfaces/players';

const selectPlayers = createSelector(
    (state: { players: PlayersState }) => state.players.data,
    (data) => data,
);

const selectHasLoaded = createSelector(
    (state: { players: PlayersState }) => state.players.hasLoaded,
    (data) => data,
);

const selectIsSubmitting = createSelector(
    (state: { players: PlayersState }) => state.players.isSubmitting,
    (data) => data,
);

export default {
    selectPlayers,
    selectHasLoaded,
    selectIsSubmitting,
};
