export default {
    styles: {
        global: {
            'html, body, #root': {
                fontFamily: 'Montserrat, sans-serif',
                fontWeight: 'bold',
                height: '100%',
                width: '100%',
                backgroundColor: 'blue.10',
            },
        },
    },
    colors: {
        transparent: 'transparent',
        black: '#000',
        white: '#fff',
        blue: {
            10: '#EEF8FC',
            20: '#2F93BE',
            50: '#3281E6',
            100: '#38A1CE',
            500: '#304EDB',
            700: '#000E89',
        },
        green: { 10: '#00FF19', 50: '#30DBB2' },
        gold: { 900: '#DDBE80' },
        cyan: {
            50: '#32DFE6',
            500: '#38A1CE',
        },
        grey: { 10: '#C4C4C4' },
        red: { 10: '#FF0000' },
        orange: { 10: '#FF9900' },
        yellow: { 10: '#FFE600' },
    },
    fonts: {
        heading: 'Open Sans',
        body: 'Raleway',
    },
    fontSizes: {
        xs: '20px',
        sm: '25px',
        md: '1rem',
        lg: '35px',
        xl: '1.25rem',
        '2xl': '1.5rem',
        '3xl': '1.875rem',
        '4xl': '2.25rem',
        '5xl': '3rem',
        '6xl': '3.75rem',
        '7xl': '4.5rem',
        '8xl': '6rem',
        '9xl': '8rem',
    },
    fontWeights: {
        hairline: 100,
        thin: 200,
        light: 300,
        normal: 400,
        medium: 500,
        semibold: 600,
        bold: 700,
        extrabold: 800,
        black: 900,
    },
    lineHeights: {
        normal: 'normal',
        none: 1,
        shorter: 1.25,
        short: 1.375,
        base: 1.5,
        tall: 1.625,
        taller: '2',
        '3': '.75rem',
        '4': '1rem',
        '5': '1.25rem',
        '6': '1.5rem',
        '7': '1.75rem',
        '8': '2rem',
        '9': '2.25rem',
        '10': '2.5rem',
    },
    letterSpacings: {
        tighter: '-0.05em',
        tight: '-0.025em',
        normal: '0',
        wide: '0.025em',
        wider: '0.05em',
        widest: '0.1em',
    },
    shadows: {
        common: '0px 4px 10px rgba(0, 0, 0, 0.25)',
    },
};
