from abc import ABC
from django.utils.translation import gettext_lazy as _

class BaseChoices(ABC):
    @classmethod
    def get_properties(cls) -> list:
        return [p for p in dir(cls) if not p.startswith('_') and p != 'get_properties']


class MedicalAnamnesisChoices(BaseChoices):
    FAMILY_CHOICES = (
        (1, _("Hypertension, stroke")),
        (2, _("Cardiac conditions including sudden cardiac deaths")),
        (3, _("Vascular problems, varicose veins; deep vein thrombosis")),
        (4, _("Diabetes")),
        (5, _("Allergies, asthma")),
        (6, _("Cancer, blood diseases")),
        (7, _("Chronic joint and muscle problems")),
        (8, _("Hormonal problems")),
    )

    PLAYER_CHOICES = (
        (1, _("Heart problems, arrhythmia, syncope")),
        (2, _("Contusion (concussion)")),
        (3, _("Allergies, asthma")),
        (4, _("Frequent infections")),
        (5, _("Serious illness")),
        (6, _("Severe injuries that resulted in surgery, hospitalization, absence from football for more than one month")),
    )

    SYMPTOMS_CHOICES = (
        (1, _("Pain in muscles, joints")),
        (2, _("Chest pain, shortness of breath, palpitations, arrhythmia")),
        (3, _("Dizziness, syncope")),
        (4, _("Flu, cough, sputum expectoration")),
        (5, _("Loss of appetite, weight loss")),
        (6, _("Insomnia")),
        (7, _("Gastrointestinal problems")),
    )
