from django.db import models
from django.utils.translation import gettext_lazy as _

from medical_api.medical.models import Player


class GeneralMedicalOverview(models.Model):
    time_made = models.DateTimeField(
        auto_now_add=True, verbose_name=_('Time made'))
    height = models.PositiveSmallIntegerField(verbose_name=_('Height'))
    weight = models.PositiveSmallIntegerField(verbose_name=_('Weight'))
    BP = models.CharField(max_length=10, verbose_name=_('Blood pressure'))

    player = models.ForeignKey(
        Player, related_name='general_medical_overview', on_delete=models.SET_NULL, null=True)

    def get_fields(self):
        return [field for field in GeneralMedicalOverview._meta.fields]

    class Meta:
        verbose_name = _('General Medical Overview')
        verbose_name_plural = _('General Medical Overviews')
