from django.db import models
from django.utils.translation import gettext_lazy as _
from django.conf import settings

from medical_api.medical.models import Player


class Medicine(models.Model):
    time_made = models.DateTimeField(
        auto_now_add=True, verbose_name=_('Time made'))
    name = models.CharField(max_length=100, verbose_name=_('Name'))
    TUE = models.FileField(upload_to=settings.UPLOAD_FOLDER,
                           blank=True, verbose_name=_('Therapeutic use exemption'))

    player = models.ForeignKey(
        Player, related_name='medicine', on_delete=models.SET_NULL, null=True)

    def get_fields(self):
        return [field for field in Medicine._meta.fields]

    class Meta:
        verbose_name_plural = _('Medicines')
