from django.db import models
from django.utils.translation import gettext_lazy as _

from medical_api.medical.models import Player


class Vaccination(models.Model):
    time_made = models.DateTimeField(
        auto_now_add=True, verbose_name=_('Time made'))
    disease = models.CharField(
        max_length=100, verbose_name=_('Disease'))
    date = models.DateField(blank=True, verbose_name=_('Date'))

    player = models.ForeignKey(
        Player, related_name='vaccination', on_delete=models.SET_NULL, null=True)

    def get_fields(self):
        return [field for field in Vaccination._meta.fields]

    class Meta:
        verbose_name_plural = _('Vaccinations')
