def search_dict_for_values(dict_choices: dict, search_values: set, value_type=int) -> list:
    '''
    :param dict_choices: Dictionary containing values from which result is extracted.
    :param search_values: Term to be searched (value).
    :param value_type: Str or int cast which determines type of the return value.
    :return:
    '''
    return_value = []
    for value, description in dict_choices:
        for search_value in search_values:
            if value == value_type(search_value):
                return_value.append({
                    'value': value,
                    'text': description
                })
    return return_value


def search_nested_dict_for_values(dict_choices: dict, search_values: set, value_type=int) -> list:
    '''
    :param dict_choices: Dictionary containing values from which result is extracted.
    :param search_values: Term to be searched (value).
    :param value_type: Str or int cast which determines type of the return value.
    :return:
    '''
    return_value = []
    for parent_name in dict_choices:
        item_list = {
            'text': parent_name,
            'value': []
        }
        for value, description in dict_choices.get(parent_name).items():
            for search_value in search_values:
                if value == value_type(search_value):
                    item_list['value'].append({
                        'value': value,
                        'text': description
                    })
        return_value.append(item_list)
    return return_value
