from rest_framework import serializers
from medical_api.medical.models import MedicalAnamnesis

from medical_api.medical.serializers.rest.choices import ValueTextMultipleChoiceField


class MedicalAnamnesisSerializer(serializers.ModelSerializer):
    family_anamnesis = ValueTextMultipleChoiceField(
        choices=MedicalAnamnesis.FAMILY_CHOICES)
    player_anamnesis = ValueTextMultipleChoiceField(
        choices=MedicalAnamnesis.PLAYER_CHOICES)
    symptoms = ValueTextMultipleChoiceField(
        choices=MedicalAnamnesis.SYMPTOMS_CHOICES)

    class Meta:
        model = MedicalAnamnesis
        fields = '__all__'
