from rest_framework import serializers
from medical_api.medical.models import Player
from medical_api.medical.serializers import GeneralMedicalOverviewSerializer, MedicalAnamnesisSerializer, MedicineSerializer, VaccinationSerializer


class PlayerSerializer(serializers.ModelSerializer):
    general_medical_overview = GeneralMedicalOverviewSerializer(
        required=False, many=True)
    medical_anamnesis = MedicalAnamnesisSerializer(required=False, many=True)
    medicine = MedicineSerializer(required=False, many=True)
    vaccination = VaccinationSerializer(required=False, many=True)

    class Meta:
        model = Player
        fields = '__all__'
