from rest_framework.serializers import MultipleChoiceField, ChoiceField
from medical_api.medical.serializers.helpers.general import search_dict_for_values, search_nested_dict_for_values


class ValueTextMultipleChoiceField(MultipleChoiceField):

    def to_representation(self, value: set):
        field_choices = self.choices.items()
        if len(self.choices) != len(self.grouped_choices):
            return search_nested_dict_for_values(self.grouped_choices, value)
        return search_dict_for_values(field_choices, value)
