from django.urls import path, include
from rest_framework import routers

from .views import PlayerViewSet, GeneralMedicalOverviewViewSet, MedicalAnamnesisViewSet, MedicineViewSet, VaccinationViewSet

router = routers.DefaultRouter()

router.register(r'players', PlayerViewSet, basename='player')
router.register(r'general', GeneralMedicalOverviewViewSet, basename='general')
router.register(r'anamnesis', MedicalAnamnesisViewSet, basename='anamnesis')
router.register(r'medicine', MedicineViewSet, basename='medicine')
router.register(r'vaccination', VaccinationViewSet, basename='vaccination')

urlpatterns = [
    path('api/', include(router.urls))
]
