from .settings import MEDIA_URL, MEDIA_ROOT, UPLOAD_FOLDER
from django.conf.urls.i18n import i18n_patterns
from django.conf.urls.static import static
from django.contrib import admin
from django.urls import path, include
from rest_framework.authtoken.views import obtain_auth_token
from django.utils.translation import gettext_lazy as _

from medical_api.medical.views import restricted_access, health

admin.site.site_header = _("Medical administration")

urlpatterns = i18n_patterns(
    path(f'{UPLOAD_FOLDER}<path:path>', restricted_access, name='media'),
    path('medical/', include('medical_api.medical.urls')),
    path('admin/', admin.site.urls),
    prefix_default_language=False
)

urlpatterns += [
    path('auth/get-token/', obtain_auth_token),
    path('auth/health/', health),
]

urlpatterns += static(MEDIA_URL, document_root=MEDIA_ROOT)
